PIP3-LIST(1)

NAME
pip3-list - description of pip3 list command

DESCRIPTION

List installed packages, including editables.

Packages are listed in a case-insensitive sorted order.

USAGE

            python -m pip list [options]

OPTIONS

    -o, --outdated
        List outdated packages

        (environment variable: PIP_OUTDATED)

    -u, --uptodate
        List uptodate packages

        (environment variable: PIP_UPTODATE)

    -e, --editable
        List editable projects.

        (environment variable: PIP_EDITABLE)

    -l, --local
        If in a virtualenv that has global access, do not list globally-installed packages.

        (environment variable: PIP_LOCAL)

    --user
        Only output packages installed in user-site.

        (environment variable: PIP_USER)

    --path <path>
        Restrict to the specified installation path for listing packages (can be used multiple times).

        (environment variable: PIP_PATH)

    --pre
        Include pre-release and development versions. By default, pip only finds stable versions.

        (environment variable: PIP_PRE)

    --format <list_format>
        Select the output format among: columns (default), freeze, or json. The 'freeze' format cannot be used with the --outdated option.

        (environment variable: PIP_FORMAT)

    --not-required
        List packages that are not dependencies of installed packages.

        (environment variable: PIP_NOT_REQUIRED)

    --exclude-editable
        Exclude editable package from output.

        (environment variable: PIP_EXCLUDE_EDITABLE)

    --include-editable
        Include editable package in output.

        (environment variable: PIP_INCLUDE_EDITABLE)

    --exclude <package>
        Exclude specified package from the output

        (environment variable: PIP_EXCLUDE)

AUTHOR
pip developers

COPYRIGHT
The pip developers